searchData={"content_type":"text/markdown","items":[{"doc":"`EldapStringFilters` main module.","ref":"EldapStringFilters.html","title":"EldapStringFilters","type":"module"},{"doc":"Parses an LDAP search filter string as defined in RFC4515 and returns\na filter in `:eldap` format suitable to be used in `:eldap.search/2`.\n\nReturn `{:ok, :eldap.filter()}` or `{:error, any()}` when parsing fails.","ref":"EldapStringFilters.html#parse/1","title":"EldapStringFilters.parse/1","type":"function"},{"doc":"[![CI](https://github.com/VoiSmart/eldap_string_filters/actions/workflows/ci.yml/badge.svg?branch=develop)](https://github.com/VoiSmart/eldap_string_filters/actions/workflows/ci.yml)\n\n# EldapStringFilters\n\n**An RFC4515 ldap string filter parser**\n\nGiven an ldap search text filter string in [RFC4515](https://tools.ietf.org/search/rfc4515) format, parses and converts\nto a filter suitable to be used by [Eldap](https://www.erlang.org/doc/man/eldap).","ref":"readme.html","title":"README","type":"extras"},{"doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `eldap_string_filters` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:eldap_string_filters, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocs can be found at [https://hexdocs.pm/eldap_string_filters](https://hexdocs.pm/eldap_string_filters).","ref":"readme.html#installation","title":"Installation - README","type":"extras"},{"doc":"```elixir\niex> {:ok, filter} = EldapStringFilters.parse(\"(cn=Foo)\")\n{:ok, {:equalityMatch, {:AttributeValueAssertion, 'cn', 'Foo'}}}                                                                                                           \n\niex> {:ok, filter} = EldapStringFilters.parse(\"(&(|(ou:dn:=People)(:1.2.3.4:=Administration))(objectclass=inetorgperson)(sn=willeke))\")\n{:ok,\n {:and,\n  [\n    or: [\n      extensibleMatch: {:MatchingRuleAssertion, :asn1_NOVALUE, 'ou', 'People',\n       true},\n      extensibleMatch: {:MatchingRuleAssertion, '1.2.3.4', :asn1_NOVALUE,\n       'Administration', false}\n    ],\n    equalityMatch: {:AttributeValueAssertion, 'objectclass', 'inetorgperson'},\n    equalityMatch: {:AttributeValueAssertion, 'sn', 'willeke'}\n  ]}}\n```","ref":"readme.html#usage","title":"Usage - README","type":"extras"}]}